This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector
Name | ### normalize()
Examples |
    PVector v = new PVector(10, 20, 2);
    v.normalize();
    println(v);  // Prints "[ 0.4454354, 0.8908708, 0.089087084 ]"
Description | Normalize the vector to length 1 (make it a unit vector).
Syntax |
    .normalize()
    .normalize(target)
Parameters |
target | PVector: Set to null to create a new vector
Returns | void or PVector

Updated on October 26, 2013 08:58:33pm PDT